%   Qs_tree
%
%   extract the proper portion of the matrix Q, i.e. of the derivative of J^t*f_c
%
%   vkc_dim \in R = number of joints of the Virtual Kinematic Chain
%
%   see D_Jt_f_tree for further details
%
function [ Q_s ] = Qs_tree( P, Z, EE_c_0, q,vkc_dim, Cc, B_c, f_c, cf_dim , varargin  )
%
joint_type = zeros(1,size(Z,2)) ;
if(nargin >= 10) %
    vett = varargin{1};
    if (length(vett)==1)
        joint_type = vett*ones(1,size(Z,2)) ;
    else
        for i = 1 : length(vett)
            joint_type(i) = vett(i);
        end
    end
end
%
Big_Q = D_Jt_f_tree( P, Z, EE_c_0, q, Cc, B_c, f_c, cf_dim ,joint_type);
%
Q_s = Big_Q( 1:vkc_dim, (vkc_dim+1):end ) ;
end
