function X = pinv2(A,varargin)
%PINV2  Robust Pseudoinverse.
if isempty(A)     % quick return
  X = zeros(size(A'),class(A));  
  return  
end
if nargin == 2
      tol = varargin{1};
   else
      tol = 0;
   end

%[m,n] = size(A);
[U,S,V] = svd(A); %singular value decomposition
%scaling the problem
S1=S/(S(1,1));
A1=U*S1*V';
pA1=pinv(A1,tol);
X=pA1*(1/S(1,1));


% 
% if n > m
%    X = pinv(A',varargin{:})';
% else
%    [U,S,V] = svd(A,0);
%    if m > 1, s = diag(S);
%       elseif m == 1, s = S(1);
%       else s = 0;
%    end
%    if nargin == 2
%       tol = varargin{1};
%    else
%       tol = max(m,n) * eps(max(s));
%    end
%    r = sum(s > tol);
%    if (r == 0)
%       X = zeros(size(A'),class(A));
%    else
%       s = diag(ones(r,1)./s(1:r));
%       X = V(:,1:r)*s*U(:,1:r)';
%    end
end