% evaluates the single base-to-frame transformations 1->2nd joint , 1->3rd joint
% until 1-> end-effector

function g0 = base2frame_serialchain(P,ee,chain)

num_el = size(chain,2); % joints number for this chain

for i = 1 : num_el
    index = chain(i);
    
        if(i == num_el)
            if(norm(ee-P(:,index)) == 0)
                g0(:,:,i) = homogeneous(eye(3),[0 0 0]);
            else
                rot = srv_alignZ([ee-P(:,index)]');
                g0(:,:,i) = homogeneous(rot,ee);
            end
        else
            next = chain(i+1);
            if(norm(P(:,next)-P(:,index)) == 0)
                g0(:,:,i) = homogeneous(eye(3),P(:,index));
            else
                rot = srv_alignZ([P(:,next)-P(:,index)]');
                g0(:,:,i) = homogeneous(rot,P(:,next));
            end
        end
end


end




